> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Products

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Returns a map of Product names to Product objects for an Entity.

## Path Parameters

<ParamList
  items={[
{
name: 'ent_id',
type: 'string',
required: true,
description: 'ID of the Entity.',
},
]}
/>

## Returns

Returns a map of Product names to Product objects.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/products" \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .entities('ent_TYHMaRJUUeJ7U')
    .products
    .list();
  ```

  ```python Python theme={null}
  response = method
    .entities('ent_TYHMaRJUUeJ7U')
    .products
    .list()
  ```
</RequestExample>

<ResponseExample>
  ```json THE PRODUCT OBJECT theme={null}
  {
    "connect": {
      "name": "connect",
      "status": "unavailable",
      "status_error": {
          "type": "INVALID_REQUEST",
          "sub_type": "ACCOUNT_CONSENT_UNAVAILABLE",
          "message": "Account consent for your organization is unavailable."
      },
      "latest_request_id": null,
      "latest_successful_request_id": null,
      "is_subscribable": true,
      "created_at": "2024-04-12T00:09:07.521Z",
      "updated_at": "2024-04-12T00:09:07.532Z"
    },
    "credit_score": {
      "name": "credit_score",
      "status": "available",
      "status_error": null,
      "latest_request_id": null,
      "latest_successful_request_id": null,
      "is_subscribable": true,
      "created_at": "2024-04-12T00:09:07.522Z",
      "updated_at": "2024-04-12T00:09:09.088Z"
    },
    "identity": {
      "name": "identity",
      "status": "restricted",
      "status_error": {
          "type": "INVALID_REQUEST",
          "sub_type": "TEAM_CAPABILITY_RESTRICTED",
          "message": "Team access is not available. Reach out to the Method team to learn more."
      },
      "latest_request_id": null,
      "latest_successful_request_id": null,
      "is_subscribable": true,
      "created_at": "2024-04-12T00:09:07.522Z",
      "updated_at": "2024-04-12T00:09:09.088Z"
    },
    "attribute": {
      "name": "attribute",
      "status": "restricted",
      "status_error": {
          "type": "INVALID_REQUEST",
          "sub_type": "PRODUCT_RESTRICTED_CONNECT_REQUIRED",
          "message": "Entity must have a completed Connect record to access this product."
      },
      "latest_request_id": null,
      "latest_successful_request_id": null,
      "is_subscribable": false,
      "created_at": "2024-09-10T02:18:06.405Z",
      "updated_at": "2024-09-10T02:18:06.430Z"
    },
    "vehicle": {
      "name": "vehicle",
      "status": "restricted",
      "status_error": {
          "type": "INVALID_REQUEST",
          "sub_type": "PRODUCT_RESTRICTED_CONNECT_REQUIRED",
          "message": "Entity must have a completed Connect record to access this product."
      },
      "latest_request_id": null,
      "latest_successful_request_id": null,
      "is_subscribable": false,
      "created_at": "2024-04-12T00:09:07.523Z",
      "updated_at": "2024-04-12T00:09:07.534Z"
    }
  }
  ```
</ResponseExample>
